import { JSX } from "solid-js/jsx-runtime";
declare const SIZING_STYLE: readonly ["border-bottom-width", "border-left-width", "border-right-width", "border-top-width", "box-sizing", "font-family", "font-size", "font-style", "font-zeight", "letter-spacing", "line-height", "padding-bottom", "padding-left", "padding-right", "padding-top", "tab-size", "text-indent", "text-rendering", "text-transform", "width", "word-break"];
type CSSStyleDeclarationSolid = {
    [Property in keyof JSX.CSSProperties]: string;
};
type SizingProps = Extract<typeof SIZING_STYLE[number], keyof CSSStyleDeclarationSolid>;
type SizingStyle = Pick<CSSStyleDeclarationSolid, SizingProps>;
export type SizingData = {
    sizingStyle: SizingStyle;
    paddingSize: number;
    borderSize: number;
};
declare const getSizingData: (node: HTMLElement) => SizingData | null;
export default getSizingData;
